# Get check posting Get information about a posted check using its check ID. # OpenAPI definition ```json { "openapi": "3.0.0", "info": { "title": "Banking - Transaction banking", "version": "0.9.0", "description": "Transaction banking API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Check posting", "description": "Check posting endpoints" } ], "components": { "parameters": { "CheckIDPath": { "name": "checkId", "in": "path", "description": "Check ID", "schema": { "type": "string" }, "required": true, "example": "c462b2f3-55cc-42b4-ae9a-7614df3e8e72" } }, "schemas": { "AccountID": { "type": "integer", "format": "int64", "description": "Account ID", "example": 1234 }, "AmountValue": { "type": "number", "format": "float", "description": "Amount value", "exclusiveMinimum": false, "minimum": 0, "maximum": 100000000000000000, "example": 1000.52 }, "Currency": { "type": "string", "description": "3-letter code in ISO 4217-compliant format for the currency used in the transaction.", "maxLength": 3, "minLength": 3, "example": "USD" }, "ErrorCode": { "description": "Error code\n`minLength: 1`\n`maxLength: 12`\n", "type": "string", "minLength": 1, "maxLength": 12, "example": "WPMT0017" }, "ErrorMessage": { "description": "Error message\n`minLength: 1`\n`maxLength: 1000`\n", "type": "string", "minLength": 1, "maxLength": 1000, "example": "Invalid JSON payload received: Error unmarshalling request" }, "ErrorResponse": { "type": "object", "properties": { "code": { "$ref": "#/components/schemas/ErrorCode" }, "message": { "$ref": "#/components/schemas/ErrorMessage" } } }, "CheckPosting": { "type": "object", "description": "Check posting object.", "required": [ "check_id", "account_id", "external_account_id", "check_amount", "settlement_type", "status", "available_amount", "uncleared_amount", "held_amount", "settlements" ], "properties": { "account_id": { "$ref": "#/components/schemas/AccountID" }, "external_account_id": { "$ref": "#/components/schemas/CheckPostingExternalAccountId" }, "check_id": { "$ref": "#/components/schemas/CheckId" }, "check_amount": { "$ref": "#/components/schemas/CheckAmount" }, "description": { "$ref": "#/components/schemas/CheckPostingDescription" }, "settlement_type": { "$ref": "#/components/schemas/CheckSettlementType" }, "status": { "$ref": "#/components/schemas/CheckPostingStatus" }, "available_amount": { "$ref": "#/components/schemas/CheckAvailableAmount" }, "uncleared_amount": { "$ref": "#/components/schemas/CheckUnclearedAmount" }, "held_amount": { "$ref": "#/components/schemas/CheckHeldAmount" }, "settlements": { "type": "array", "items": { "$ref": "#/components/schemas/CheckSettlementItem" } } } }, "CheckPostingExternalAccountId": { "type": "string", "description": "Account external ID to which the check is posted.", "maxLength": 60, "minLength": 1, "pattern": "^[a-zA-Z0-9-]+$", "example": "6b6e32c3-6f67-453e-8221-bafa8993e113" }, "CheckId": { "type": "string", "description": "Check ID.", "maxLength": 60, "minLength": 1, "pattern": "^[a-zA-Z0-9-]+$", "example": "c462b2f3-55cc-42b4-ae9a-7614df3e8e72" }, "CheckAmount": { "type": "object", "description": "Total check amount.", "required": [ "value" ], "properties": { "value": { "$ref": "#/components/schemas/AmountValue" }, "currency": { "$ref": "#/components/schemas/Currency" } } }, "CheckPostingDescription": { "type": "string", "description": "A brief description about a check posting transaction.", "maxLength": 100, "example": "Check posting" }, "CheckSettlementType": { "type": "string", "description": "Indicates when funds become available to the bank: `BEGINNING` or `END`.\n", "enum": [ "BEGINNING", "END" ], "example": "END" }, "CheckPostingStatus": { "type": "string", "description": "Check posting status.", "enum": [ "PENDING", "CREATING", "UNCLEARED", "SETTLING", "PARTIALLY_SETTLED", "SETTLED", "CANCELING", "CANCELED", "PAYMENT_FAILED", "RELEASE_FAILED", "CANCEL_FAILED" ], "example": "SETTLED" }, "CheckAvailableAmount": { "type": "number", "format": "float", "description": "Available check amount.", "minimum": 0, "example": 2000 }, "CheckUnclearedAmount": { "type": "number", "format": "float", "description": "Uncleared check amount.", "minimum": 0, "example": 0 }, "CheckHeldAmount": { "type": "number", "format": "float", "description": "Held check amount.", "minimum": 0, "example": 0 }, "CheckSettlementID": { "type": "string", "description": "Check Settlement ID.", "pattern": "^[a-zA-Z0-9-]+$", "example": "c462b2f3-55cc-42b4-ae9a-7614df3e8e72" }, "SettlementType": { "type": "string", "description": "Settlement type. Indicates the nature of the settlement.", "enum": [ "DEPOSIT", "PENDING", "HOLD" ], "example": "HOLD" }, "CheckSettlementDate": { "type": "string", "format": "date", "description": "Settlement date in ISO 8601 format (yyyy-mm-dd).", "example": "2025-01-06" }, "CheckSettlementAmount": { "type": "number", "format": "decimal", "description": "Amount to be settled in the specified operation.", "example": 100 }, "CheckSettlementStatus": { "type": "string", "description": "Check settlement status.", "enum": [ "CREATING", "UNSETTLED", "SETTLED", "PAYMENT_FAILED", "PAYMENT_ROLLING_BACK", "PAYMENT_ROLL_BACK_FAILED", "PAYMENT_ROLLED_BACK", "SETTLING", "RELEASE_FAILED", "RELEASE_ROLLING_BACK", "RELEASE_ROLLED_BACK", "RELEASE_ROLLBACK_FAILED", "CANCELING", "CANCELED", "CANCEL_FAILED" ], "example": "SETTLED" }, "CheckSettlementItem": { "type": "object", "description": "Check settlement item.", "properties": { "settlement_id": { "$ref": "#/components/schemas/CheckSettlementID" }, "type": { "$ref": "#/components/schemas/SettlementType" }, "amount": { "$ref": "#/components/schemas/CheckSettlementAmount" }, "settlement_date": { "$ref": "#/components/schemas/CheckSettlementDate" }, "status": { "$ref": "#/components/schemas/CheckSettlementStatus" } }, "required": [ "settlement_id", "type", "amount", "settlement_date", "status" ] } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } } }, "paths": { "/corporate/v1/checks/{checkId}": { "get": { "summary": "Get check posting", "description": "Get information about a posted check using its check ID.", "operationId": "corporate-get-v1-checks-id", "tags": [ "Check posting" ], "parameters": [ { "$ref": "#/components/parameters/CheckIDPath" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CheckPosting" }, "example": { "check_id": "b6d31f8f-c908-4d38-b433-c91160e9e11e", "account_id": 320669726, "external_account_id": "f7846df4-6208-41df-a94d-b966efdd4989", "check_amount": { "value": 2000, "currency": "USD" }, "description": "Check posting", "settlement_type": "BEGINNING", "status": "PARTIALLY_SETTLED", "available_amount": 1800, "uncleared_amount": 0, "held_amount": 200, "settlements": [ { "settlement_id": "59f27b4a-3f23-42ec-9870-762cb65ea6fb", "type": "DEPOSIT", "amount": 800, "settlement_date": "2025-12-22", "status": "SETTLED" }, { "settlement_id": "ea77559f-5c54-4615-a8dd-ca129d1df301", "type": "HOLD", "amount": 1000, "settlement_date": "2026-01-26", "status": "SETTLED" }, { "settlement_id": "82a2b73f-cb50-4bfe-8fe5-cdc94f146f33", "type": "HOLD", "amount": 200, "settlement_date": "2026-01-27", "status": "UNSETTLED" } ] } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "CheckPosting Not Found": { "summary": "Check posting not found", "value": { "code": "WCPT0003", "message": "Check posting not found" } } } } } } }, "security": [ { "BearerAuth": [] } ] } } } } ```